Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class StateChartControl

    java.lang.Object
      ru.biosoft.math.model.SimpleNode
          ru.biosoft.math.model.StateChartControl

All Implemented Interfaces:
  Node

public class StateChartControl
extends SimpleNode

Field Summary
`protected java.lang.String` | `name` Control name.
`protected java.lang.String` | `type` Control type.
`static java.lang.String` | `TYPE_EVENT`
`static java.lang.String` | `TYPE_STATE`
`static java.lang.String` | `TYPE_TRANSITION`

Fields inherited from class ru.biosoft.math.model.SimpleNode
`children, id, parent`

Constructor Summary
`StateChartControl(int id)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_EVENT

    public static final java.lang.String TYPE_EVENT

See Also:
  Constant Field Values

### TYPE_STATE

    public static final java.lang.String TYPE_STATE

See Also:
  Constant Field Values

### TYPE_TRANSITION

    public static final java.lang.String TYPE_TRANSITION

See Also:
  Constant Field Values

### name

    protected java.lang.String name

  Control name.

### type

    protected java.lang.String type

  Control type.

Constructor Detail

### StateChartControl

    public StateChartControl(int id)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.